<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>权限管理</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
</head>
<body style="overflow:hidden">
	<form id="viewSiteForm" method="post">
		<div id="cc" class="easyui-layout" style="width: 100%; height: 1000px;">
			<div id="left" region="west" scroll="no"
				class="easyui-panel" collapsible="false" 
				split="true" title="权限结构" style="width: 250px; ">
				<div>
					<!-- 权限树 -->
					<ul id="tt" class="easyui-tree" animate="false">
					</ul>
				</div>
			</div>
			<div id="right" region="center"	style="padding: 1px; margin-right: 1px; background: #ffffff;">
				<div buttons="#dlg-buttons_add" >
					<table class="detailtable" align="center" >
						<tr>
							<td>&nbsp;</td>  
						</tr>
						<tr >
							<td width="15%" align="right">上级权限：</td>
							<td width="30%" align="left">
								<input id="parentNameId01"name="parentName" class="easyui-validatebox" style="width:230px"></td>
							<td width="15%" align="right">权限名称:</td>
							<td width="30%" align="left">
								<input id="operateNameId01" name="operateName" class="easyui-validatebox" style="width:230px"></td>
						</tr>
						<tr>
							<td width="15%" align="right">权限编号：</td>
							<td width="30%" align="left">
								<input id="privilegeNumId01" name="privilegeNum" class="easyui-validatebox" style="width:230px">
							</td>
							<td width="15%" align="right">权限url：</td>
							<td width="30%" align="left">
								<input id="priUrlId01" name="priUrl" class="easyui-validatebox" style="width:230px">
							</td>
						</tr>
						<tr>
							<td width="15%" align="right">权限描述：</td>
							<td width="30%" align="left">
								<input id="descriptionId01" name="description" class="easyui-validatebox" style="width:230px">
							</td>
						</tr>
						<tr>
							<td>&nbsp;</td>  
						</tr>
						<tr>
							<td colspan="4" align="center">
								<security:url uri="/admin/privilegeManage/addPrivilege"><a href="#"  class="easyui-linkbutton" iconCls="icon-edit_add" plain="false" onclick="openAddWin()"><span>新增</span></a></security:url> 
								<security:url uri="/admin/privilegeManage/editPrivilege"><a href="#"	 class="easyui-linkbutton" iconCls="icon-pencil" plain="false" onclick="editOrg()"><span>修改</span></a></security:url> 
							    <security:url uri="/admin/privilegeManage/delPrivilege"><a href="#"  class="easyui-linkbutton" iconCls="icon-remove" plain="false" onclick="delOrg()"><span>删除</span></a></security:url>
							 </td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</form>
</body>
<div id="addOrgWinId" class="easyui-window" >
	<form id="addOrgForm" class="easyui-form" method="post">
		<table align="center" style="margin:15px 60px 0px 0px" class="edittable">
			<tr>
				<td width="20%" align="right"><span >上级权限：</span></td>
				<td width="30%"><input id="parentNameId02" name="parentName"
					class="easyui-validatebox" style="width: 230px;"></td>
				<td width="20%" align="right"><span >权限名称：</span></td>
				<td width="30%"><input id="operateNameID" name="operateName"
					class="easyui-validatebox" 
					 style="width: 230px;" data-options="required:true"></td>
			</tr>
			<tr>
				<td width="20%" align="right"><span >编&emsp;&emsp;号：</span></td>
				<td width="30%"><input id="privilegeNum" name="privilegeNum"
					class="easyui-validatebox" missingMessage="不能为空" style="width: 230px;"
					 maxlength="25"></td>
				<td align="right"><span >顺序编号：</span></td>
				<td><input id="orderNumber" name="orderNumber" Maxlength="4"
					class="easyui-validatebox" missingMessage="不能为空"
					style="width: 230px;"></td>
			</tr>
			<tr>
				<td align="right"><span >权限&emsp;url：</span></td>
				<td><input id="priUrlID" name="priUrl"
					class="easyui-validatebox" style="width: 230px;"></td>
				<td align="right"><span >权限类型：</span></td>
				<td><select id="privilegeTypeId" name="privilegeType"
					class="easyui-combobox" style="width: 230px;" editable="false" panelHeight="auto">
						<option value="OrgType">页面</option>
						<option value="buttonType">按钮</option>
				</select></td>
			</tr>
			<tr>
				<td align="right"><span key="descriptioninfo" class="paltform-i18n">菜单描述：</span></td>
				<td colspan="3"><textarea id="description"
						class="easyui-validatebox" validType="maxLength[500]"
						name="description" style="width: 230px;"></textarea></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td></td>
			</tr>
			<tr>
				<td align="center" colspan="4">
					<a href="#" class="easyui-linkbutton"iconCls="icon-ok" onclick="saveData()"><span key="save"class="paltform-i18n">保存</span></a> 
					<a href="#"	class="easyui-linkbutton" iconCls="icon-cancel"	onclick="closeWindow()"><span key="cancel" class="paltform-i18n">取消</span></a></td>
			</tr>
		</table>
		<!-- <div class="button_area_absolute">
        	  <table width="100%">
    				<tr>
     				 <td >
     					 <a href="#" class="easyui-linkbutton" iconCls="icon-ok" onclick="saveData()"><span key="save" class="paltform-i18n">保存</span></a>
						<a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="closeWindow()"><span key="cancel" class="paltform-i18n">取消</span></a>
     				 </td>
     				</tr>
     			</table>	
     		</div>  -->
	</form>
</div>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script><!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> <!-- jQuery EasyUI 1.3.1  -->
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script src="<c:url value='/resource/admin/privilegeManage/priListPage.js'/>"></script>
</html>