<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
</head>
<body style="overflow:hidden">
	<div id="cc" class="easyui-layout" style="width: 100%; height:100%;">
		<div data-options="region:'north',title:'角色权限分配',split:true" style="height:65px;">    
			<form id="addRolePriForm" method="post">
				<table >
					<tr>
						<td width="25%" align="right"><span >角&emsp;&emsp;色:</span></td>
						<td width="100px">
							<input id="roleNameId"	name="roleName" class="easyui-combobox" />
						</td>
						<td align="center"><a href="#" class="easyui-linkbutton" iconCls="icon-ok"	onclick="saveData()"><span >保存</span></a>
						</td>
					</tr>
				</table>
			</form>
		</div> 
		<div id="left" region="center" scroll="yes" class="easyui-panel" title="权限结构" >
			<div id="" > 
				<!-- 菜单树 -->
				<ul id="tt" class="easyui-tree" >
				</ul>
			</div>
			
		</div>
	</div>
</body>
 
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script><!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> <!-- jQuery EasyUI 1.3.1  -->
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script src="<c:url value='/resource/admin/privilegeManage/rolePriListPage.js'/>"></script>
</html>