<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="security" uri="http://www.ccpit.org/" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
    <title>角色权限管理</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
</head>
<body>
    <div class="easyui-panel"  id="queryDiv" title="角色查询" collapsed="false" collapsible="false">
    	<form id="queryFormId" method="post">
    		<table class="querytable" align="center" width="100%">
    			<tr>
    				<td width="20%"></td>
    				<td width="20%" align="right">角色名称：</td>
    				<td width="20%">
    					<input class="easyui-textbox" id="roleNameId00" name="roleName" >
    				</td>
	    			<td width="20%" align="left">
							<a id="saveButtonId01" href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="queryData()">查询</a>
							<a id="saveButtonId02" href="#" class="easyui-linkbutton" iconCls="icon-undo" onclick="clearQueryForm()">清空</a>
					</td>
					<td width="20%"></td>
    			</tr>
    		</table>
    	</form>
    </div>
    <table id="roleListTableID" toolbar="#toolbar"  > 
    </table>
    <div id="toolbar">
    	<security:url uri="/admin/role/addRole"><a href="#" class="easyui-linkbutton" iconCls="icon-edit_add" plain="true" onclick="openAddWin('add')">新增</a></security:url>
        <security:url uri="/admin/role/editRole"><a href="#" class="easyui-linkbutton" iconCls="icon-pencil" plain="true" onclick="openAddWin('edit')">修改</a></security:url>
        <security:url uri="/admin/role/delRole"><a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="delRole()">删除</a></security:url>
    </div>
    <div id="addRoleWinID" class="easyui-window" >
   		<div id="main_area" style="margin:15px 0px 0px 0px"> 
			<!-- 	新增form表单 -->
			<form id="addRoleForm" method="post"> 
				<table class="edittable" style="margin:15px 60px 0px 0px" >
					<tr>
						<td width="10%" align="right"><span>角色名称:</span></td>
						<td width="25%" align="left">
							<input id="roleNameId" name="roleName" class="easyui-validatebox"  data-options="required:true" />
						</td>
					    <td width="10%" align="right"><span>权限url:</span></td>
						<td width="25%" align="left">
							<input id="urlPerfixsId" name="urlPerfixs" class="easyui-textbox"    />
						</td>
					</tr>
					<tr>
						<td align="right"><span>角色描述:</span></td>
						<td align="left">
							<input id="descriptionId" name="description"  class="easyui-textbox"   />  
						</td>
					</tr>
					<tr> 
						<td>&nbsp;</td>
						<td></td>
					</tr>
					<tr>
						<td></td>
						<td></td>
					</tr>
					<tr align="center">
						<td colspan="4">
						    <a id="buttonId01" href="#" class="easyui-linkbutton" iconCls="icon-save" onclick="saveData()">保存</a>
							<a id="buttonId01" href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="closeRoleWin();">取消</a>
					 	</td>
		  			</tr>
					<tr>
						<td></td>
						<td></td>
					</tr>
				</table>
			</form>
		</div>
	</div>
</body>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script><!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> <!-- jQuery EasyUI 1.3.1  --> 
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resource/admin/roleManage/roleManage.js'/>"></script>
</html>
