<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="/resource/front/css/costom_css_tongzhigonggao.css">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
<script type="text/javascript">
            jQuery(document).ready(function ($) {
                if (window.history && window.history.pushState) {
    　　　　$(window).on('popstate', function () {
      　　    window.history.forward(1);
    　　　　});
  　　　　}
　　　　});
　　</script>
<script type=text/javascript>
        function checkInput()
        {
            var err = "";
            var taxId = document.getElementById("txtTaxId").value;
            if(!(taxId.length == 4 || taxId.length == 6))
            {
                err += "税则号只能录入前 4 位或 6 位！\r\n";
            }
            if(isNaN(taxId)) err+="税则号请录入数字！\r\n";
            if(taxId.indexOf(".")>0) err+="税则号请不要录入小数点！\r\n";
            if(err!=""){
               alert(err);
               return false;
            }
            return true;
         }
        function submit(){
        	/*   var flag = checkInput();
        	var taxNumber  = document.getElementById("txtTaxId").value;
        	if(flag){
        		$.post("/front/queryTaxableGoods", {"taxNumber": taxNumber}, function(data){
        			alert(data);
        			$("#divId").css("visibility", "visible");       			
        			for(var i=0;i<data.length;i++) {
        			$(".costom_table_tbody").append("<tr><td style='vertical-align: middle;text-align:center;'>" + data[i].area +"</td><td style='vertical-align: middle;text-align:center;'>"+data[i].country+" </td><td style='vertical-align: middle;text-align:center;'>"+
        					data[i].taxNumber+"</td><td style='vertical-align: middle;text-align:center;'>"+data[i].goodsDesc+"</td></tr>");
        			
        			}
        		}, "json");
        	}   */
        	 var flag = checkInput();
        	var taxNumber  = document.getElementById("txtTaxId").value;
        	if(flag){
        		$.post("/front/queryTaxableGoods", {"taxNumber": taxNumber}, function(data){
        			loadPaginator(data.total, null, null, null);
        		}, "json");
        	}  
        }
    </script>

</head>
<body>
<jsp:include page="header.jsp" />
<div class="row content">
    <div class="col-sm-12 col-md-12 ">
        <!-- <div class="thumbnail"> -->
            <!-- <div class="caption"> -->
                <img src="/resource/front/images/jinchukoumaoyi.png" CLASS="costom_title_img_div" style="width: 100%">
            <!-- </div> -->
        <!-- </div> -->
    </div>
</div>

<button type="button" class="btn  btn-lg costom_middle_button" style="font-width:bold ;width:200px;cursor:default;color:#fff;" >优惠税率查询</button>


<div class="row content">
    <div class="col-sm-12 col-md-12">
        <div class="thumbnail">
          <div class="caption costom_table_captionDiv">
            <table class="table table-striped costom_table">
                <thead  class="costom_table_thead" >
                <tr style="background-color: white;height:40px;" >            
            <th style="FONT-SIZE: 9pt;vertical-align: middle;text-align:right;padding-right:0px;text-indent: 0px;" width="20%" >
            税则号：
            </th>
            <th colspan="2"  width="40%"  style="vertical-align: middle;text-align:center;text-indent: 0px;">
            <input id="txtTaxId" class="inptext"  style="width: 500px;" name="taxNumber">
            </th>
            <th  style="vertical-align: middle;text-indent: 0px;text-align:left;padding-left:0px;">
            <img onclick="submit();"  src="/resource/front/images/anniu.jpg">
            </th>
            </tr>                   
                    <tr   id="divId"  style="visibility: hidden;">
                        <th style="text-align:center;text-indent: 0px;">区域</th>
                        <th style="text-align:center;text-indent: 0px;">国家名</th>
                        <th style="text-align:center;text-indent: 0px;">税目号</th>
                        <th style="text-align:center;text-indent: 0px;">描述</th>
                    </tr>                  
                </thead>
                <tbody id="investCase" class="costom_table_tbody">
                	
                </tbody>
            </table>
            <div class="numeric-pagination animate-onscroll">
						<ul class="pagination" id="pagination"></ul>
			</div>
			<div>检索结果仅供参考，实际以进口国海关最新公布为准</div>
            <!-- <nav aria-label="Page navigation" class="costom_page_navigation">
                <ul class="pagination">
                    <li>
                        <a href="#" aria-label="Previous">
                            <span aria-hidden="true">首页</span>
                        </a>
                    </li>
                    <li><a href="#">上一页</a></li>
                    <li><a href="#" class="page_number_selected">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">下一页</a></li>
                    <li>
                        <a href="#" aria-label="Next">
                            <span aria-hidden="true">尾页</span>
                        </a>
                    </li>
                </ul>
            </nav> -->
          </div>
        </div>
    </div>
</div>


<!-- 客服文件 -->
<jsp:include page="customerService.jsp" />

<jsp:include page="footer.jsp" />

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="/resource/front/js/jquery.min.js"></script>
<script src="/resource/front/pageUpdate.js"></script>
<script src="/resource/front/jqPaginator.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="/resource/front/js/bootstrap.min.js"></script>

<script rel="script" type="text/javascript">
$(document).ready(function() {
	$("#search").click(function() {
		$("#popsearch").slideDown("slow");
	});
	$("#popsearch .gb_btn").click(function() {
		$("#popsearch").slideUp("slow");
	});  
    $(function () {
        $('[data-toggle="popover"]').popover()
    })

</script>
<script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>