<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
</head>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link href="/resource/front/css/certificateOfOrigin.css" rel="stylesheet">
<body>
<!--Step:1 Prepare a dom for ECharts which (must) has size (width & hight)-->
<!--Step:1 为ECharts准备一个具备大小（宽高）的Dom-->
<jsp:include page="header.jsp" />
<div class="row content">
    <div class="col-sm-12 col-md-12 ">
        <!-- <div class="thumbnail"> -->
            <!-- <div class="caption"> -->
                <img src="/resource/front/images/jinchukoumaoyi.png" CLASS="costom_title_img_div" style="width: 100%">
            <!-- </div> -->
        <!-- </div> -->
    </div>
</div>
<div id="mainMap" class="row content">
    <c:forEach items="${netWorks}" var="item">
    <div class="col-sm-12 col-md-12 ">
        <ul class="list-group" style="margin-top:10px;">
            <li class="list-group-item active">网点服务名:${item.name}</li>
            <li class="list-group-item">联系地址:${item.linkAddress}</li>
            <li class="list-group-item">网站名:${item.webSiteName}</li>
            <li class="list-group-item">网址:${item.webSiteAddress}</li>
            <li class="list-group-item">服务电话:${item.tel}</li>
            <li class="list-group-item">联系人:${item.contacts}</li>
        </ul>
      </div>  
    </c:forEach>
</div>
<jsp:include page="footer.jsp" />
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="/resource/front/js/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="/resource/front/js/bootstrap.min.js"></script>

<script rel="script" type="text/javascript">
    /**
     * Created by Administrator on 2017/4/21.
     */
    $(document).ready(function(){
        $("#search").click(function(){
            $("#popsearch").slideDown("slow");
        });
        $("#popsearch .gb_btn").click(function(){
            $("#popsearch").slideUp("slow");
        });
    });
    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    </script>
    <script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>