var divHeight = ""; // 查询面板高度
var dataGridWidth = ""; // 查询面板宽度
var clientHeight = "";
var dataGridHeight = "";
var bodyWidth = 0;
var bodyHeight = 0;
var operation = "";
$(function() {
	divHeight = $("#queryDiv2").height();
	dataGridWidth = document.documentElement.clientWidth;
	clientHeight = document.documentElement.clientHeight;
	$("#addServiceNetWorkWinId").window('close');  //添加会员基础信息窗口
	initInputWidth();
	$("#queryDiv").window('close');
	initDataTable();
})

/**
 * 初始化各输入框宽度
 */
function initInputWidth(){
	

	$("#orgNameId").attr("style","width:"+ (fixShortWidth()*0.75)+"px");
	$("#orgNameId01").attr("style","width:"+ (fixShortWidth()) +"px");
	$("#areaId").attr("style","width:"+ (fixShortWidth()*0.75) +"px");
	$("#linkAddressId").attr("style","width:"+ (fixShortWidth()*0.75)+"px");
	$("#telId").attr("style","width:"+ (fixShortWidth()*0.75)+"px");
}
//js时间戳格式化成日期格式
function timestampformat(timestamp) {
	var date = new Date(timestamp);
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var day = date.getDate();
	return year+"-"+month+"-"+day;
}   

function initDataTable(){
	$("#serviceNetWorksTable").datagrid({
		height:clientHeight-divHeight-27,
		nowrap : true,
		striped : true,
		pagination : true,
		rownumbers : true,
		pageList : [10,20,30,40,50],
		autoRowHeight : false, 
		fitColumns : false,  
		singleSelect : false, //单选
		checkOnSelect  : true,
		selectOnCheck : true,
		remoteSort : true,
		url : '/business/serviceNetWorkManage/queryAllServiceNetWork',
		columns : [ [ {
			field : 'ck',
			title : 'id',
			width : 15, 
			checkbox : true
		},{
			field : 'area',
			title : '省市',
			width : '100',
			align : 'center'
		},{
			field : 'orgName',
			title : '签证机构名称',
			width : '200',
			align : 'center',
			formatter : dataStyle
		},{
			field : 'linkAddress',
			title : '机构地址',
			width : '500',
			align : 'center'
		},{
			field : 'tel',
			title : '电话',
			width : '200',
			align : 'center'
		},{
			field : 'createTime',
			title : '发布日期',
			width : '100',
			align : 'center'
		}, { 
			field : 'creator',
			title : '发布人',
			width : '100',
			align : 'center'
		}
		] ]
	});
	}
	//打开查看窗口   打开tab页
	function viewData(id){ 
		$.getJSON("/business/serviceNetWorkManage/queryServiceNetWorkById/" + id, function(data) {
			$("#addServiceNetWorkForm").form('load', data); 	

		});    
		$("#main_area").height(addWinHeight/4);
		$("#addServiceNetWorkWinId").window({
			title : '查看签证机构信息',
			width : addWinWidth/4*3,
			height : addWinHeight/3,
			left : (dataGridWidth - addWinWidth/4*3)/2,
			top : (bodyHeight - addWinHeight/3)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").hide();
		$("#buttonId02").hide();
		$("#addServiceNetWorkWinId").window('open');
	}

	function dataStyle(val, row) {
		return '<a class="" href="#" onclick="viewData(\'' + row.id + '\')">'+ row.orgName + '</a>';
	}
	function doSearch(value){
	    var queryParams = null;
	    $("#CentralServiceNetWorkManageTable").datagrid({
			queryParams : {
				queryValue : value
			}
		});
	}
	
/**
 * 打开新增窗口  基本信息
 */
function openAddWin(){
	initInputWidth();
	operation = "add";
	$("#main_area").height(addWinHeight/4);
	$("#addServiceNetWorkWinId").window({
		title : '新增签证机构信息',
		width : addWinWidth/4*3,
		height : addWinHeight/3,
		left : (dataGridWidth - addWinWidth/4*3)/2,
		top : (bodyHeight - addWinHeight/3)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true 
	});  
	$("#addServiceNetWorkForm").form('clear');
	$("#buttonId01").show();
	$("#buttonId02").show();

	$("#addServiceNetWorkWinId").window('open');
}

/**
 * 打开修改窗口    基本信息
 */
function openEditWin(){
	$("#addServiceNetWorkWinId").form('clear');
	operation = "edit";
	var rows = $('#serviceNetWorksTable').datagrid('getSelections');
	if(rows.length == 1){
		var row = $('#serviceNetWorksTable').datagrid('getSelected');
		$.getJSON("/business/serviceNetWorkManage/queryServiceNetWorkById/" + row.id, function(data) {			
			$("#addServiceNetWorkForm").form('load', data); 
		});
		$("#main_area").height(addWinHeight/4);
		$("#addServiceNetWorkWinId").window({
			title : '修改签证机构信息',
			width : addWinWidth/4*3,
			height : addWinHeight/3,
			left : (dataGridWidth - addWinWidth/4*3)/2,
			top : (bodyHeight - addWinHeight/3)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").show();
		$("#buttonId02").show();
		$("#addServiceNetWorkWinId").window('open');
	}else {
		$.messager.alert('提示', '请选中一条记录 ', 'info');
	}
}
function openQueryWin(row){
	var data = row
	$("#addServiceNetWorkForm").form('load', data);

	$("#main_area").height((bodyHeight/5)*4);
	$("#addServiceNetWorkWinId").window({
		title : '查看签证机构信息',
		width : addWinWidth/4*3,
		height : addWinHeight/2,
		left : (dataGridWidth - addWinWidth/4*3)/2,
		top : (bodyHeight - addWinHeight/2)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true
	});
	$("#buttonId01").hide();
	$("#buttonId02").show();
	$("#addServiceNetWorkWinId").window('open');
}

$("#professorNameId").combobox({
	width:fixShortWidth()+4
})
//保存数据
function saveData(){
	var orgName = $("#orgNameId").val();
	if('add' == operation){
		$.getJSON("/business/serviceNetWorkManage/isExistServiceNetWork?orgName=" + orgName, function (json) {
			if(json.flag){
				$.messager.alert('提示', json.info, 'error');
			}else { 
				url = "/business/serviceNetWorkManage/addOrUpdateServiceNetWork?operate="+operation;
				$('#addServiceNetWorkForm').form('submit',{
					url: url,
					onSubmit: function(){
						return $(this).form('validate');
					},
					success: function(data){
						var data = eval("("+data+")");
						if (data.flag){
							$.messager.alert('提示', data.info, 'ok');
							closeWindow();			
							initDataTable();
						} else {
							$.messager.alert("提示",data.info,'error');
						}
					}
				}); 
						
			}})   
		}
	if('edit' == operation){
		var row = $('#serviceNetWorksTable').datagrid('getSelected');
		url = "/business/serviceNetWorkManage/addOrUpdateServiceNetWork?operate=" + operation + "&serviceNetWorkId=" + row.id;
		$('#addServiceNetWorkForm').form('submit',{
			url: url,
			onSubmit: function(){
				return $(this).form('validate');
			},
			success: function(data){
				var data = eval("("+data+")")
				if (data.flag){
					$.messager.alert('提示',data.info, 'ok');
					closeWindow();
					
					initDataTable();
				} else {
					$.messager.alert("提示",data.info,'error');
				}
			}
		}); 
	}
}

//删除
function deleteServiceNetWork(){
	var rows = $('#serviceNetWorksTable').datagrid('getChecked');
	if (rows.length !=0 ){
		var jsonIds = arrayTojson(rows);
		$.messager.confirm("删除","确定删除？",function(r){
			if (r){
				var postUrl = '/business/serviceNetWorkManage/deleteServiceNetWorks';
				$.post(postUrl,{
					"ids":jsonIds},function(result){
					if (result.flag){
						$.messager.alert('提示',result.info,'ok');
						initDataTable(); 
					} else {
						$.messager.alert('提示',result.info,'error');
						initDataTable();
						return;
					}
				},'json');
			}
		});
	}else{ 
		$.messager.alert('提示', '请选中一条要删除记录', 'info');
	}
}
//关闭窗口  基础信息
function closeWindow(){
	$("#addServiceNetWorkWinId").window('close');
}

/**
 * id数组转换为json字符串
 */
function arrayTojson(arr) { 
	var jsonIds = "[";
	for ( var i = 0; i < arr.length; i++) {
		if (i == arr.length - 1) {
			jsonIds += arr[i].id;
		} else {
			jsonIds += arr[i].id + ",";
		}
	}
	jsonIds += "]";

	return jsonIds; 
}
//查询 
function queryData() {
	var orgName = $("#orgNameId01").val();
	var queryParams = null;
  		$("#serviceNetWorksTable").datagrid({
			queryParams : {
				orgName : orgName
			}
		});
}
// 清空查询条件框
function clearQueryForm() {
	$("#queryFormId2").form('clear');
	queryData();
}