package org.ccpit.base.logManage;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
/**
 * 自动编写日志的标识注解<br/>
 * Function: TODO ADD FUNCTION. <br/>
 * Reason:	 TODO ADD REASON. <br/>
 * @author   liyang
 * @version  
 * @since    JDK 1.6
 * @see 	 
 */
/*这个注解控制这个类里的方法是否输出log*/

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.METHOD)
public @interface AutoWriteLog {
		
		public boolean value() default false;
		
		String description()  default "";  
}
