/**
 * 
 */
package org.ccpit.base.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Company Name : 中贸促信息技术有限责任公司
 * Project Name:memberManageSys
 * File Name:DownloadFileController.java
 * Package Name:ccpit.base.controller
 * Date: 2017年3月27日  上午9:45:32
 * Copyright (c) 2016, liyang@ccpit.org All Rights Reserved.
 *
 */

public class DateConvert {
	
	
	/**
	 * 格式化日期 ，返回字符串(不带时分秒)
	 * @param sdf
	 * @param date
	 * @return
	 */
	public static String convertDateWithoutHms (Date date) {
		SimpleDateFormat sdf = new SimpleDateFormat ("yyyy-MM-dd");
		return sdf.format(date);
	}
	
	/**
	 * 格式化日期 ，返回字符串(带时分秒)
	 * @param sdf
	 * @param date
	 * @return
	 */
	public static String convertDateWithHms (Date date) {
		SimpleDateFormat sdf = new SimpleDateFormat ("yyyy-MM-dd HH:mm:ss");
		return sdf.format(date);
	}
}
