package org.ccpit.base.utils.page;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
/**
 * 
 * 该注解是为了表示那些字段是查询字段 并且表示用什么方法去查询
 * 默认值是like 
 * */

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.FIELD)
public @interface SearchMethod {
	 public Method method();
	 /*像，相等，大于，小于，大于等于，小于等于，在范围内*/
	 public enum Method {
		 like, equal, gt, lt,ge,le,in;
	 }
}
