<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>信息管理信息列表界面</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
</head>
<body style="overflow:hidden">
	<div class="easyui-panel" id="queryDiv" title="链接查询" collapsed="false" collapsible="false">
		<form method="post" id="queryFormId" name="queryForm">
			<table class="querytable" align="center" width="100%">
				<tr>
					<td width="10%"></td>
					<td width="10%" align="right"><span>链接名称:</span></td> 
					<td width="25%" align="left">
						<input id="linkNameId00" type="text"  name='linkName' title="50字以内" class="easyui-textbox"  />
					</td>
					<td width="10%" align="right">链接类型:</td> 
					<td width="25%">
						<select id="linkTypeId00" name="linkType" class="easyui-combobox" editable="false" panelHeight="auto" >  
							<option value="friendship">友情链接</option>
							<option value="cooperation">合作链接</option>
						</select>
					</td>   
					<td width="10%" align="left">
						<a id="saveButtonId" href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="queryData()">查询</a>
						<a id="saveButtonId" href="#" class="easyui-linkbutton" iconCls="icon-undo" onclick="clearQueryForm()">清空</a>
					</td>
					<td width="10%"></td>
				</tr>
			</table>
		</form>
	</div>
<!-- 	datagrid列表  -->
	<table id="logInfoListTable"  key="newsList" title="日志列表"
		 width="98%" singleSelect="false">
	</table>
<!-- 	datagrid工具栏 -->
	<div id="toolbar">
		<a href="#" id="00100202" class="easyui-linkbutton" iconCls="icon-edit_add" plain="true" onclick="openAddWin()"><span >新增</span></a>
		<a href="#" id="00100203" class="easyui-linkbutton" iconCls="icon-pencil" plain="true" onclick="openEditWin()"><span >修改</span></a>
		<a href="#" id="00100204" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="deleteNews()"><span >删除</span></a>
	</div>
	
	
</body>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script><!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> <!-- jQuery EasyUI 1.3.1  --> 
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resource/admin/logManage/logInfoListPage.js'/>"></script>
</html>