<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>数据字典管理</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
</head>
<body>
	<div class="easyui-panel"  id="queryDiv" title="数据查询" collapsed="false" collapsible="false" width=100% style="height:60px">
    	<form id="queryFormId" method="post">
    		<table align="center" valign="middle" style="height:100%" style="height:60px">   
    			<tr valign="top"> 
    				<td >数据名称:</td>
    				<td><input class="easyui-textbox" id="dataNameId00" name="dataName" ></td>
    				<td> 数据类型:</td>
    				<td><input class="easyui-combobox" id="dataTypeId00" name="dataType" data-options="editable:false,panelHeight:'auto'"></td>
	    			<td align="center">
							<a id="saveButtonId" href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="queryData()">查询</a>
							<a id="saveButtonId" href="#" class="easyui-linkbutton" iconCls="icon-undo" onclick="clearQueryForm()">清空</a>
					</td>
    			</tr>
    		</table>
    	</form>
    </div>
    <table id="metadataListTableID" toolbar="#toolbar" width=100%>
    </table>
    <div id="toolbar">
    	<security:url uri="/admin/metadataManage/addMetadata"><a href="#" class="easyui-linkbutton" iconCls="icon-edit_add" plain="true" onclick="openAddWin('add')">新增</a></security:url>
        <security:url uri="/admin/metadataManage/editMetadata"><a href="#" class="easyui-linkbutton" iconCls="icon-pencil" plain="true" onclick="openAddWin('edit')">修改</a></security:url>
        <security:url uri="/admin/metadataManage/delMetadata"><a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="delData()">删除</a></security:url>
        <security:url uri="/admin/metadataManage/exportMetadata"><a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="openExportWin()">导入</a></security:url>
    </div>
    <div id="addDataWinID" class="easyui-window" >
		<!-- 	新增form表单 -->
		<form id="addDataForm" method="post"> 
			<table class="edittable" style="margin:15px 60px 0px 0px" width="100%">
				<tr>
					<td width="10%" align="right"><span>数据名称:</span></td>
					<td width="25%" align="left"> 
						<input id="dataNameId" class="easyui-textbox" name="dataName" data-options="required:true" />
					</td>
				    <td width="10%" align="right"><span>数据&emsp;id:</span></td>
					<td width="25%" align="left">
						<input id="dataNameId_Id" class="easyui-textbox" name="dataNameId" data-options="required:true" />
					</td>
				</tr>
				<tr>
					<td width="10%" align="right"><span>数据级别:</span></td>
					<td width="25%" align="left">
						<input id="dataLevelId" name="dataLevel" class="easyui-combobox" data-options="editable:false,panelHeight:'auto'"/>  
					</td>
					<td align="right"><span>数据类型:</span></td>
					<td align="left">
						<input id="dataTypeId" class="easyui-combobox" name="dataType" data-options="editable:false,panelHeight:'auto'" />
					</td>
				</tr> 
				<tr>
					<td align="right"><span>数据描述:</span></td>
					<td align="left">
						<input id="descriptionId" name="description" class="easyui-textbox"  />  
					</td>
					<td width="10%" align="right"><span>语&emsp;&emsp;言:</span></td>
					<td width="25%" align="left">
						<select id="languageTypeId" class="easyui-combobox" name="languageType" data-options="editable:false,panelHeight:'auto'" >
							<option value="chinese">中文</option>
							<option value="english">英文</option>
						</select>
					</td>
				</tr> 
				<tr>
					<td>&nbsp;</td>
					<td></td>
				</tr>
				<tr>
					<td></td>
					<td></td>
				</tr>
				<div>
					
				</div>
				<tr id="buttonID" align="center">
						<td colspan="4">
					    <a id="saveButtonId" href="#" class="easyui-linkbutton" iconCls="icon-save" onclick="saveData()">保存</a>
						<a id="10060107" href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="closeAddWin();">取消</a>
					 	</td>
	  			</tr>
				<tr>
					<td></td>
					<td></td>
				</tr>
			</table>
		</form>
	</div>
	<div id="infoImportId" class="easyui-window" >
		<form id="infoImportForm"  method="post" >
			<table style="margin:15px 0px 0px 0px" class="edittable">
				<tr>
					<td width="15%" align="right"><span>文件地址:</span></td>
					<td align="left">
						<input id="excleFileId" type="file"  name='file' style="width:280px;"  />
					</td >
					<td ><input id="button02" type="button" value="上传" name="upload" style="width:80px;height:20px"></td>
				</tr>
			</table>
		</form>
	</div>
</body>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script><!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> <!-- jQuery EasyUI 1.3.1  -->
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script src="<c:url value='/resource/pub/ajaxfileupload.js'/>"></script>
<script src="<c:url value='/resource/admin/metadataManage/metadataListPage.js'/>"></script>
</html>