<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
 <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>签证机构信息管理页面</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />" rel="stylesheet" type="text/css"/>
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>" rel="stylesheet" type="text/css" />
<%-- <link href="<c:url value='/resource/print/certificate.css'/>" rel="stylesheet" type="text/css" /> --%>
<style type="text/css">
.noprint{display : none } 
</style>
</head>
<body style = "overflow: hidden;">
<div class="easyui-panel" id="queryDiv2" title="信息查询" collapsed="false" collapsible="false">
	<form method="post" id="queryFormId2" name="queryForm">
			<table class="querytable" align="center" width="100%" border="0">
				<tr>
					<td align="right"><span>签证机构名称:</span></td>
					<td align="left"><input id="orgNameId01" name='orgName' title="50字以内" class="easyui-textbox" />
					<td>
						&nbsp;&nbsp;&nbsp;
						<a id="saveButtonId01" href="#"	class="easyui-linkbutton" iconCls="icon-search"	onclick="queryData()">查询</a> 
						<a id="saveButtonId02" href="#"	class="easyui-linkbutton" iconCls="icon-undo" onclick="clearQueryForm()">清空</a>
					</td>
				</tr>
			</table>
		</form>
	</div>	
		<!-- datagrid列表  -->
	<table id="serviceNetWorksTable" toolbar="#toolbar"
		 width="98%" singleSelect="false">
	</table>
		<!--datagrid工具栏    会员基础信息功能按钮 -->
	<div id="toolbar">
		<security:url uri="/business/serviceNetWork/add"><a href="#" class="easyui-linkbutton" iconCls="icon-edit_add" plain="true" onclick="openAddWin()"><span>新增</span></a></security:url>
		<security:url uri="/business/serviceNetWork/edit"><a href="#" class="easyui-linkbutton" iconCls="icon-pencil"	plain="true" onclick="openEditWin()"><span>修改</span></a></security:url>
		<security:url uri="/business/serviceNetWork/del"><a href="#" class="easyui-linkbutton" iconCls="icon-remove"	plain="true" onclick="deleteServiceNetWork()"><span>删除</span></a></security:url>
	</div>
<div id="addServiceNetWorkWinId" class="easyui-window">
	<div id="main_area" style="margin:15px 0px 0px 20px">
		<!-- 新增form表单   投资信息表单 -->
		<form id="addServiceNetWorkForm" method="post">
			<table class="edittable" width="100%" border="0">
				<tr>
					<td align="right"><span>签证机构:</span></td>
					<td align="left">
						<input id="orgNameId" name="orgName" class="easyui-textbox"/>
					</td>
					<td align="right"><span>所属省市:</span></td>
					<td align="left">
						<input id="areaId" name="area" class="easyui-textbox">
					</td>
				</tr>
				<tr>
					<td align="right"><span>机构地址:</span></td>
					<td align="left" colspan="3">
						<input id="linkAddressId" name="linkAddress" class="easyui-textbox">
					</td>
				</tr>
				<tr>
					<td align="right"><span>联系电话:</span></td>
					<td align="left" colspan="3">
						<input id="telId" name="tel" class="easyui-textbox">
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td></td>
					<td></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td></td>
					<td></td>
				</tr>
				<tr>
					<td colspan="4" align="center">
						<a id="buttonId01" href="#" class="easyui-linkbutton" iconCls="icon-ok"
						   onclick="saveData()">保存</a>
						<a id="buttonId02" href="#" class="easyui-linkbutton" iconCls="icon-cancel"
						   onclick="closeWindow();">取消</a>
					</td>
				</tr>
				<tr>
					<td colspan="4"></td>
					<td></td>
				</tr>
				<tr>
					<td colspan="4"></td>
					<td></td>
				</tr>
			</table>
		</form>
	</div>
	</div>
</body>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script>
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script> 
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script src="<c:url value='/resource/pub/common.js'/>"></script> <!-- 公共js -->
<script type="text/javascript" src="<c:url value='/resource/business/serviceNetWorkPage.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resource/ueditor1_4_2/ueditor.config.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resource/ueditor1_4_2/ueditor.all.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/resource/home/js/ajaxfileupload.js'/>"></script>
</html>