<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/costom_css_tongzhigonggao.css">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/page.css">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/certificateOfOrigin.css">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
	<jsp:include page="header.jsp" />
	<div class="row content">
		<div class="col-sm-12 col-md-12 ">
			<!-- <div class="thumbnail"> -->
			<!-- <div class="caption"> -->
			<img src="/resource/front/images/jinchukoumaoyi.png"
				CLASS="costom_title_img_div" style="width: 100%">
			<!-- </div> -->
			<!-- </div> -->
		</div>
	</div>
	<button type="button"
		class="btn  btn-lg costom_middle_button"
		style="font-width: bold;cursor:default;color:#fff;">服务介绍</button>
	<div class="row content">
		<div class="col-sm-12 col-md-12">
			<div class="thumbnail">
				<div class="caption costom_table_captionDiv">
					<section class="content-wrapper main-content clear-fix">
					<div class="rowcontainer">
						<table id="flow" width="960" border="0" align="center"
							cellpadding="0" cellspacing="0">
							<tr>
								<div class="notice_r_c2 single-content">
									<h1 style="font-weight: bold;color: #2a87c6">中国国际贸易促进委员会</h1>
									<p>中国国际贸易促进委员会（简称：中国贸促会）成立于1952年，是全国性对外贸易投资促进机构。</p>
									<p>中国贸促会的主要职责是，落实国家有关重大发展战略，促进对外贸易、双向投资和经济技术合作；推进与境外对口机构机制化合作；接待境外高层次经贸代表团来访，组织中国经贸代表团出访；管理全国出国举办经贸展览会，负责中国参加国际展览局和世界博览会事务；举办和组织企业参加经贸展览会、论坛、洽谈会及有关国际会议；在外经贸领域代言工商，参与经贸政策法规制定、对外经贸谈判和国际商事规则制定；开展法律顾问、商事调解、经贸和海事仲裁等工作，签发和出具出口商品原产地证明书、对外贸易有关文件和单证，提供专利申请、商标注册、诉讼维权等知识产权服务；组织产业和企业应对经贸摩擦；提供经贸信息、经贸培训等服务。</p>
									<p>中国贸促会将与各有关国际组织、各国各地区贸易投资促进机构、商协会组织和工商企业界建立广泛联系，组织开展多种形式的交流合作，加大对企业服务的力度，为推动多双边经贸关系发展、促进世界经济繁荣、造福各国人民做出积极贡献。</p>
									<br />
									<h1 style="font-weight: bold;color: #2a87c6">中国国际贸易促进委员会贸易推广交流中心</h1>
									<p>中国国际贸易促进委员会贸易推广交流中心 ( 简称中国贸促会贸推中心 ) 是中国国际贸易促进委员会直属事业单位。主要职责是，开展与贸易投资有关的项目推介、招商引资、技术交流、国家政策和国际规则的宣介推广、咨询培训以及会展等方面的工作，承担贸易投资促进相关信息系统的建设、运维和项目推广，承担贸促会交办的我国出口商品原产地证明书、商事证明书、不可抗力证明、自由销售证明等文书签发工作，代办涉外文书领事认证，承担暂准进口货物单证册 (ATA) 的出证、担保、索赔、核销工作，为企业提供与信用体系建设相关的贸易促进服务，指导协调原产地、ATA、商事证明等工作在全国贸促系统开展。</p>
									<p>贸推中心内设办公室 ( 党委办、纪委办）、原产地处、通关服务处、商事证明处、自贸协定推广处、贸易服务处、企业服务处、事业发展处、外资服务处、财务处等10个处室，并负责管理中贸促商事服务有限公司。</p>
									<br/>
										<p>办公地址：北京市西城区桦皮厂胡同2号国际商会大厦3层</p>
									<p>办公电话：010-8221 7098</p>
									<p>电子邮箱：maotuizhongxin@ccpit.org</p>

									<!-- <p >中贸促信息技术有限责任公司（中国国际贸易促进委员会信息中心）</p>
									是中国贸促会旗下从事专业信息技术和电子商务的直属企业单位，技术支持和服务获得国家贸促总会的授权由中贸促信息技术有限责任公司负责实施和执行。为提升客户的满意度，中贸促信息技术有限责任公司通过"客户服务部"提供定时人工和7x24小时网上支持的服务计划，保证客户的正常使用和最大满意度，与用户实行交互式沟通。中贸促信息技术有限责任公司的综合服务内容包括： -->
									<!-- <br /> --> <!-- <br /><font style="font-weight:bold">电话服务:</font> 法定工作日的早上9:00到晚上17:00内的传真、电话和远程协助服务。7x24小时的网上技术支持。<br />
									中贸促信息技术有限责任公司提供优秀的专业技术支持服务，专业人员借助用户论坛和电子邮件来确保客户问题迅速准确地得到解决。<br />
									<font style="font-weight:bold">集中培训:</font>中贸促信息技术有限责任公司培训体系为客户积极传达培训资料，保证他们快速掌握所需要的相关知识和操作技能，使客户能够成功使用网上业务系统。
									<br /> <br />  -->
								<!-- 	目前，中国际贸易促进委员会所属分支会大部分已经开展了网上出证认证业务，会员企业在使用过程中如遇到任何业务问题请咨询当地贸促会，在使用网上系统的过程中，如遇到任何问题，可以咨询所属分支会或者与中贸促信息技术有限责任公司服务部联系，我们将最大努力满足会员企业的业务需要。
									<p>中贸促信息技术有限责任公司客服中心</p> -->
									<!-- 服务电话：010-86464076 （星期一至星期五 09:00~17:00）<br /> --><!--   地址：北京市海淀区莲花池东路小马厂6号华天大厦808<br /> -->
								</div>
							</tr>
						</table>
					</div>
					</section>
				</div>
			</div>
		</div>
	</div>
	</div>

	<!-- 客服文件 -->
	<jsp:include page="customerService.jsp" />

	<jsp:include page="footer.jsp" />

	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="/resource/front/js/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="/resource/front/js/bootstrap.min.js"></script>

	<script rel="script" type="text/javascript">
		$(document).ready(function() {
			$("#search").click(function() {
				$("#popsearch").slideDown("slow");
			});
			$("#popsearch .gb_btn").click(function() {
				$("#popsearch").slideUp("slow");
			});
		});
		$(function() {
			$('[data-toggle="popover"]').popover()
		})
	</script>
	<script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>