<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/costom_css_tongzhigonggao.css">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/applyFlow.css">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
	<jsp:include page="header.jsp" />
	<div class="row content">
		<div class="col-sm-12 col-md-12 ">
			<!-- <div class="thumbnail"> -->
			<!-- <div class="caption"> -->
			<img src="/resource/front/images/jinchukoumaoyi.png"
				CLASS="costom_title_img_div" style="width: 100%">
			<!-- </div> -->
			<!-- </div> -->
		</div>
	</div>
	<button type="button"
		class="btn  btn-lg costom_middle_button"
		style="font-width: bold;cursor:default;color:#fff;">申请流程</button>
	<div class="row content">
		<div class="col-sm-12 col-md-12">
			<div class="thumbnail">
				<div class="caption costom_table_captionDiv">
					<section class="content-wrapper main-content clear-fix">
					<div class="rowcontainer">
						<table id="flow" width="960" border="0" align="center"
							cellpadding="0" cellspacing="0">
							<tr>
								<td>
									<p class="textRemark">
										&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;中国贸促会商事认证中心现已开通网上申办通道(目前仅支持北京地区试用)，您可通过“网上申办平台”完成填写申请信息、上传材料、提交审核等手续，我们会通过平台告知您办理情况，让您轻轻松松完成商事证明申请，避免多次往返及长时间排队，提高办证效率。
										<br /> <br />
										&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;为了提高申请效率，减少反复修改材料的麻烦，请您在开始网上申办前查阅<a
											href="http://www.co.ccpit.org/CerAffiars/BidFile_Proof.aspx">常见文件及所需佐证</a>中相关认证事项的信息,了解如何提交材料及注意事项等。
										了解如何提交材料及注意事项等，同时在上传佐证材料时可参考<a
											href="http://www.co.ccpit.org/CerAffiars/CerDownload.aspx">商事证明相关下载</a>内文件模板。
										<br /> <br />
										&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;如仍有不明，请咨询贸促会工作人员,“网络审核通过后，请携带认证文件（纸质版）的原件、复印件及所需认证（纸质版）到窗口现场审核、取证。
										<br /> <br />
									</p>
								</td>
							</tr>
							<tr>
								<td><div
										style="height: 40px; line-height: 40px; font-size: 20px; font-weight: bold; padding-top: 10px;">网上办证流程：</div></td>
							</tr>
							<tr>
								<td align="center"><img
									src="/resource/front/images/lct.jpg" /></td>
							</tr>
							<tr id="start_apply">
								<td align="center"><img id="beginApply"
									onclick="  window.location.href = 'http://ifco.ccpit.org';"
									alt="开始网上申办" style="cursor: pointer; padding-top: 20px;"
									src="/resource/front/images/go.png"></td>
							</tr>
						</table>
					</div>
					</section>
				</div>
			</div>
		</div>
	</div>

	<!-- 客服文件 -->
	<jsp:include page="customerService.jsp" />

	<jsp:include page="footer.jsp" />

	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="/resource/front/js/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="/resource/front/js/bootstrap.min.js"></script>

	<script rel="script" type="text/javascript">
		$(document).ready(function() {
			$("#search").click(function() {
				$("#popsearch").slideDown("slow");
			});
			$("#popsearch .gb_btn").click(function() {
				$("#popsearch").slideUp("slow"); 
			});
		});
		$(function() {
			$('[data-toggle="popover"]').popover()
		})
	</script>
	<script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>