<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link href="/resource/front/css/certificateOfOrigin.css" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="/resource/front/css/page.css">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
<jsp:include page="header.jsp" />
<!--搜索弹框-->
<div style="height: 100px; display: none" class="col-sm-12 col-md-12 container"  id="popsearch">
    <div class="container col-lg-4 col-md-4 col-sm-4" style=" margin-left: 33%">
        <div class="gb_btn"><a href="javascript:void(0);" class="sd_sn"><img src="/resource/front/images/gb.png"></a></div>
        <input type="text"  class="search_input container"/>
        <input type="button" class="search_btn container" value="搜索"/>
    </div>

</div>
<div class="row content">

    <div class="col-sm-12 col-md-12 banner">
        <img src="/resource/front/images/banner2.jpg">
    </div>
    <div class="col-sm-12 col-md-12 content-tab">

        <div class="col-sm-12 col-xs-12 col-md-12 col-lg-12 clean-paddings">
            <div class="tab-content">
                <div role="tabpanel" class="tab-pane active" id="yiban"  >
                    <div class="tab-content">
                        <div role="tabpanel" class="tab-pane active" id="yewuliucheng2">
                            <div class="single-content">
                                <div style="text-align: center"><h1>原产地证书办理流程</h1></div>
                                <hr style="border: 0; height: 1px; background-image: linear-gradient(to right, #ccc, #333, #ccc);">
                                     <p class="img-title" style="MARGIN-TOP: 0px;">一、系统注册</p>
                                1.企业首次登录中国贸促会原产地网上签证系统时需注册账号<br />
                                申请人打开中国贸促会原产地网上签证系统申报端（网址：https://declare.ecoccpit.net），按照提示完成个人账号注册。<br />
                                2.完成个人账号与企业的关联操作<br />
                                通过个人账号登录后，需要按照系统提示将个人账号与企业进行关联绑定。如已有企业编码，可通过绑定存量企业的方式进行关联；如无企业编码，可在填报企业相关信息后完成关联操作。<br />
                                <p class="img-title">二、填报产品预审信息</p>
                                在办理原产地证书之前，须先完成相关产品的申报工作。待产品预审通过后，方可申请原产地证书。<br />
                                <p class="img-title"> 三、申报原产地证书</p>
                                企业选择需要申报的证书类型后，按照系统提示填报“基本信息”、“商品信息”和“佐证材料”后，点击“发送到贸促会”按钮。<br />
                                <p class="img-title">四、打印原产地证书</p>
                                企业可通过证书列表的“状态”栏，查看证书审核结果。对于状态为“审核通过”的证书，并且企业已开通了自主打印功能，可点击该条数据“操作”栏中的打印按钮进行打印。如未开通自主打印，需前往所属贸促会领取证书。<br />
                                <p class="img-title">五、原产地证书查询</p>
                                打印或下载后的证书，可通过中国贸促会原产地证书查询网站（http://check.ecoccpit.net/）核验真伪。
                            </div>
                            <div style="text-align: center;">
                                <img src="/resource/front/images/co-liucheng.png" style="max-width: 50%">
                            </div>
                        </div>
                    </div>
                </div>

                <div role="tabpanel" class="tab-pane" id="jiagong">
                <ul class="nav nav-tabs category-content" role="tablist">
                        <li role="presentation" class="active"><a href="#yewushuoming4" aria-controls="yewushuoming4" role="tab" data-toggle="tab">业务说明</a></li>
                </ul>
        </div>
         </div>
            
    </div>
</div>
<!-- 客服文件 -->
<jsp:include page="customerService.jsp" />
<jsp:include page="footer.jsp" />


<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="/resource/front/js/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="/resource/front/js/bootstrap.min.js"></script>

<script rel="script" type="text/javascript">
    /**
     * Created by Administrator on 2017/4/21.
     */
    $(document).ready(function(){
        $("#search").click(function(){
            $("#popsearch").slideDown("slow");
        });
        $("#popsearch .gb_btn").click(function(){
            $("#popsearch").slideUp("slow");
        });
    });
    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    </script>
    <script src="/resource/front/js/aside_fade.js"></script>
</body>
</body>
</html>