<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/costom_css_tongzhigonggao.css">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/page.css">
<link rel="stylesheet" href="/resource/front/css/layui.css" media="all">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
	<jsp:include page="header.jsp" />
	<div class="row content">
		<div class="col-sm-12 col-md-12 ">
			<!-- <div class="thumbnail"> -->
			<!-- <div class="caption"> -->
			<img src="/resource/front/images/jinchukoumaoyi.png"
				CLASS="costom_title_img_div" style="width: 100%">
			<!-- </div> -->
			<!-- </div> -->
		</div>
	</div>
	<button type="button" class="btn  btn-lg costom_middle_button"
		style="font-width: bold; cursor: default; color: #fff;width:200px;">
		${contentName}
	</button>
	<div class="row content">
		<div class="col-sm-12 col-md-12">
			<div class="thumbnail">
				<div class="caption costom_table_captionDiv"  style="margin-left:70px;margin-right:150px;">
					<section class="content-wrapper main-content clear-fix">

					<form class="layui-form"  action="" >
						<div class="layui-form-item" >
							<label class="layui-form-label">贸促会编码:</label>
							<div class="layui-input-block" >
								<input name="ccpitCode" class="layui-input" type="text"
									placeholder="请输入6位" autocomplete="off" lay-verify="ccpitCode">
							</div>
						</div>
						<div class="layui-form-item">
							<label class="layui-form-label">企业注册号:</label>
							<div class="layui-input-block">
								<input name="registNumber" class="layui-input" type="text"
									placeholder="请输入9位" autocomplete="off"
									lay-verify="registNumber">
							</div>
						</div>
						<div class="layui-form-item">
							<label class="layui-form-label">公司名称:</label>
							<div class="layui-input-block">
								<input name="companyName" class="layui-input" type="text"
									autocomplete="off" placeholder="请输入公司名称" lay-verify=""companyName"">
							</div>
						</div>
						<div class="layui-form-item">
							<label class="layui-form-label">联系人:</label>
							<div class="layui-input-block">
								<input name="linkMan" class="layui-input" type="text"
									autocomplete="off" placeholder="请输入联系人" lay-verify="linkMan">
							</div>
						</div>
						<div class="layui-form-item">
							<label class="layui-form-label">联系方式:</label>
							<div class="layui-input-block">
								<input name="linkPhone" class="layui-input" type="text"
									autocomplete="off" placeholder="请输入联系方式" lay-verify="linkPhone">
							</div>
						</div>
						<div class="layui-form-item">
							<label class="layui-form-label">邮箱:</label>
							<div class="layui-input-block">
								<input name="email" class="layui-input" type="text"
									autocomplete="off" placeholder="请输入邮箱" lay-verify="email">
							</div>
						</div>
						<div class="layui-form-item layui-form-text">
							<label class="layui-form-label">申请原因:</label>
							<div class="layui-input-block">
								<textarea name="reason" placeholder="请输入内容"
									class="layui-textarea"></textarea>
							</div>
						</div>
						<div class="layui-form-item">
							<div class="layui-input-block">
								<button  class="layui-btn" lay-submit lay-filter="formDemo">立即提交</button>
								<button type="reset" class="layui-btn layui-btn-primary">重置</button>
							</div>
						</div>


					</form>
				





				</section>
			</div>
		</div>
	</div>
	</div>
	


	<!-- 客服文件 -->
	<jsp:include page="customerService.jsp" />

	<jsp:include page="footer.jsp" />

	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="/resource/front/js/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="/resource/front/js/bootstrap.min.js"></script>
	<script src="/resource/front/js/layui.js" charset="utf-8"></script>
	<script rel="script" type="text/javascript">
    
    $(document).ready(function(){
        $("#search").click(function(){
            $("#popsearch").slideDown("slow");
        });
       $("#popsearch .gb_btn").click(function(){
           $("#popsearch").slideUp("slow");
       });
	}); 
    
    $(function () {
        $('[data-toggle="popover"]').popover()
    })

   layui.use('form', function(){
  var form = layui.form();
//自定义验证规则
  form.verify({
    ccpitCode: function(value){
      if(value.length != 6){
        return '贸促会编码必须是6位！';
      }
    }
    ,registNumber: function(value){
    	if(value.length != 9){
            return '企业注册号必须是9位！';
        }
    }
  });
  //监听提交
  form.on('submit(formDemo)', function(data){
	 //Ajax获取
	  $.post('/front/addCoApplicationInfo',$('.layui-form').serialize(), function(str){
	   layer.open({
	      title:"提示信息",
	      content:str.info 
	    });
	  }); 
   return false;
  });
});
    			 
    			 
</script>
	<script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>