<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>中国国际贸易促进委员会原产地证申报系统</title>
<link href="/resource/front/css/bootstrap.min.css" rel="stylesheet">
<link href="/resource/front/css/style.css" rel="stylesheet">
<link rel="stylesheet" type="text/css"
	href="/resource/front/css/costom_css_tongzhigonggao.css">
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
	<jsp:include page="header.jsp" />
	<div class="row content">
		<div class="col-sm-12 col-md-12 ">
			<!-- <div class="thumbnail"> -->
			<!-- <div class="caption"> -->
			<img src="/resource/front/images/jinchukoumaoyi.png"
				CLASS="costom_title_img_div" style="width: 100%">
			<!-- </div> -->
			<!-- </div> -->
		</div>
	</div>

	<button type="button"
		class="btn  btn-lg costom_middle_button"
		style="font-width: bold;cursor:default;color:#fff;">常见问题</button>

 
	<div class="row content">
		<div class="col-sm-12 col-md-12">
			<div class="thumbnail">
				<div class="caption costom_table_captionDiv">
					<table class="table table-striped costom_table">
						<thead class="costom_table_thead">
							<tr>
								<th>常见问题</th>
								<th>时间</th>
							</tr>
						</thead>
						<tbody id="investCase" class="costom_table_tbody">

						</tbody>
					</table>
					<div class="numeric-pagination animate-onscroll">
						<ul class="pagination" id="pagination"></ul>
					</div>
				</div>
			</div>
		</div>
	</div>


<!-- 客服文件 -->
<jsp:include page="customerService.jsp" />

	<jsp:include page="footer.jsp" />

	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="/resource/front/js/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="/resource/front/js/bootstrap.min.js"></script>
	<script src="/resource/front/commonUtils.js"></script>
	<script src="/resource/front/jqPaginator.js"></script>

	<script rel="script" type="text/javascript">
		$(document).ready(function() {
			$("#search").click(function() {
				$("#popsearch").slideDown("slow");
			});
			$("#popsearch .gb_btn").click(function() {
				$("#popsearch").slideUp("slow");
			});
			initData(null, '/front/aboutQuestions', '/front/aboutQuestionContent');
		});
		$(function() {
			$('[data-toggle="popover"]').popover()
		})
	</script>
	<script src="/resource/front/js/aside_fade.js"></script>
</body>
</html>