<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="security" uri="http://www.ccpit.org/"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>中国贸促会原产地证</title>
<link href="<c:url value='/resource/themes-1.3.1/default/easyui.css'/>"
	rel="stylesheet" type="text/css" />
<link href="<c:url value='/resource/themes-1.3.1/icon.css' />"
	rel="stylesheet" type="text/css" />
<link href="<c:url value='/resource/themes-1.3.1/css/default.css'/>"
	rel="stylesheet" type="text/css" />
</head>
<body class="easyui-layout" style="overflow-y: hidden" scroll="no">
	<%-- <noscript>
		<div style="position: absolute; z-index: 100000; height: 1046px; top: 0px; left: 0px; width: 100%; background: white; text-align: center;">
			<img src="<c:url value='/resource/home/images/noscript.gif'/>" alt='抱歉，请开启脚本支持！' />
		</div>
	</noscript> --%>
	<div id="topHurdleID" region="north" split="true" border="false">
		<span style="float: right; padding-right: 20px;" class="head">欢迎您：
			<font style="font-weight: bold">${user_in_session.username}</font>&ensp;<a
			href="#" onclick="setEmail()">邮箱配置</a>&emsp;<a
			style="text-decoration: none; color: #000000; font-weight: bold"
			href="#" id="editpass">修改密码</a>&emsp;<a
			style="font-weight: bold; text-decoration: none; color: #fff000"
			href="#" id="loginOut">安全退出</a>
		</span>
		<div align="center">
			<span style="font-size: 16px;"><img
				src="<c:url value='/resource/home/images/ccpit-logo-new.png'/>"
				width="20" height="20" align="absmiddle" />&emsp;中国贸促会原产地证官网系统</span>
		</div>
	</div>
	<div region="south" split="true"
		style="height: 30px; background: #D2E0F2;">
		<div class="footer">&emsp;</div>
	</div>
	<div region="west" hide="true" split="true" title="导航菜单"
		style="width: 180px;" id="west">
		<div id="nav" class="easyui-accordion" fit="true" border="false">
			<!--  导航内容 -->
			<security:url uri="/org/ccpit/base/sysManage">
				<div title="系统管理" data-options="collapsible:true">
					<ul>
						<security:url uri="/admin/org/goinOrgListPage">
							<li><div>
									<a ref="11" href="#" rel="/admin/org/goinOrgListPage"><span
										class="icon icon-sys">&nbsp;</span><span class="nav">部门用户管理</span></a>
								</div></li>
						</security:url>
						<security:url uri="/admin/role/goinRoleListPage">
							<li><div>
									<a ref="13" href="#" rel="/admin/role/goinRoleListPage"><span
										class="icon icon-role">&nbsp;</span><span class="nav">角色管理</span></a>
								</div></li>
						</security:url>
						<security:url uri="/admin/privilegeManage/goinPriListPage">
							<li><div>
									<a ref="14" href="#"
										rel="/admin/privilegeManage/goinPriListPage"><span
										class="icon icon-privilege">&nbsp;</span><span class="nav">权限管理</span></a>
								</div></li>
						</security:url>
						<security:url uri="/admin/privilegeManage/goRolePriListPage">
							<li><div>
									<a ref="15" href="#"
										rel="/admin/privilegeManage/goRolePriListPage"><span
										class="icon icon-allotRole">&nbsp;</span><span class="nav">角色权限分配</span></a>
								</div></li>
						</security:url>
						<security:url uri="/admin/metadataManage/goinMetadataListPage">
							<li><div>
									<a ref="16" href="#"
										rel="/admin/metadataManage/goinMetadataListPage"><span
										class="icon icon-database">&nbsp;</span><span class="nav">数据字典管理</span></a>
								</div></li>
						</security:url>
						<security:url uri="/admin/logManage/goinLogInfoListPage">
							<li><div>
									<a ref="91" href="#" rel="/admin/logManage/goinLogInfoListPage"><span
										class="xitongrizhi">&nbsp;</span><span class="nav">系统日志</span></a>
								</div></li>
						</security:url>
					</ul>
				</div>
			</security:url>
			<security:url uri="/org/ccpit/business/serviceNetWorkManage">
				<div title="签证机构管理" data-options="collapsible:true">
					<ul>
						<li><security:url uri="/business/serviceNetWorkManage/goinServiceNetWorkPage"><div>
							<a href="#" rel="/business/serviceNetWorkManage/goinServiceNetWorkPage">
								<span class="huiyuanxinxi">&nbsp;</span>
								<span class="nav">签证机构信息</span>
							</a>
						</div></security:url></li>
						<li>
					</ul>
				</div>
			</security:url>	
			<security:url uri="/org/ccpit/business/noticeManage">
				<div title="通知公告及政策管理" data-options="collapsible:true">
					<ul>
						<li><security:url uri="/business/noticeManage/goinNoticePage"><div>
							<a href="#" rel="/business/noticeManage/goinNoticePage">
								<span class="huiyuanxinxi">&nbsp;</span>
								<span class="nav">通知公告及政策信息</span>
							</a>
						</div></security:url></li>
						<li>
					</ul>
				</div>
			</security:url>	
			<security:url uri="/org/ccpit/business/questionManage">
				<div title="常见问题管理" data-options="collapsible:true">
					<ul>
						<li><security:url uri="/business/questionManage/goinQuestionPage"><div>
							<a href="#" rel="/business/questionManage/goinQuestionPage">
								<span class="huiyuanxinxi">&nbsp;</span>
								<span class="nav">问题信息</span>
							</a>
						</div></security:url></li>
						<li>
					</ul>
				</div>
			</security:url>	
<%--			<security:url uri="/org/ccpit/business/visaAgencyManage">--%>
<%--				<div title="签证机关管理" data-options="collapsible:true">--%>
<%--					<ul>--%>
<%--						<li><security:url uri="/business/visaAgencyManage/goinVisaAgencyPage"><div>--%>
<%--							<a href="#" rel="/business/visaAgencyManage/goinVisaAgencyPage">--%>
<%--								<span class="huiyuanxinxi">&nbsp;</span>--%>
<%--								<span class="nav">签证机构信息</span>--%>
<%--							</a>--%>
<%--						</div></security:url></li>--%>
<%--						<li>--%>
<%--					</ul>--%>
<%--				</div>--%>
<%--			</security:url>	--%>
			<security:url uri="/org/ccpit/business/visaAgencyManage">
				<div title="CO网上申报系统申请管理" data-options="collapsible:true">
					<ul>
						<li><security:url uri="/business/coApplicationManage/goinCoApplicationInfoPage"><div>
							<a href="#" rel="/business/coApplicationManage/goinCoApplicationInfoPage">
								<span class="huiyuanxinxi">&nbsp;</span>
								<span class="nav">CO网上申报申请信息</span>
							</a>
						</div></security:url></li>
						<li>
					</ul>
				</div>
			</security:url>	
		</div>
	</div>
	<div id="mainPanle" region="center"
		style="background: #eee; overflow-y: hidden">
		<div id="tabs" class="easyui-tabs" fit="true" border="false">
			<div title="欢迎使用"
				style="padding: 20px; overflow: hidden; color: red;">
				<div align="center">
					<h1 style="font-size: 24px;">欢迎使用中国贸促会原产地证官网系统</h1>
				</div>
			</div>
		</div>
	</div>
	<!-- <div region="east" title="其他" split="true"
		style="width: 180px; overflow: hidden;">
		<div class="easyui-calendar"></div>
	</div> -->

	<!--修改密码窗口-->
	<div id="w" class="easyui-window" title="修改密码">
		<table width="100%">
			<tr>
				<td>&emsp;</td>
			</tr>
			<tr>
				<td align="right">新&ensp;密&ensp;码：</td>
				<td><input id="txtNewPass" type="Password" style="width: 180px" /></td>
			</tr>
			<tr>
				<td align="right">确认密码：</td>
				<td><input id="txtRePass" type="Password" style="width: 180px" /></td>
			</tr>
			<tr>
				<td>&emsp;</td>
			</tr>
			<tr>
				<td colspan="2" align="center"><a href="#" id="btnEp"
					class="easyui-linkbutton"
					data-options="size:'50',iconCls:'icon-save'">保存</a> <a href="#"
					id="btnCancel" class="easyui-linkbutton"
					data-options="iconCls:'icon-cancel'">取消</a></td>
			</tr>
		</table>
	</div>
	<!-- 配置邮箱账号信息 -->
	<div id="sendMailWinId" class="easyui-window">
		<form id="emailCountForm" method="post">
			<table style="margin: 15px 0px 0px 50px" class="edittable">
				<tr>
					<td width="35%" align="right"><span>服务器协议:</span></td>
					<td wdith="35%" align="left"><select id="serverProtocolId"
						name="serverProtocol" class="easyui-combobox"
						data-options="editable:false,panelHeight:'auto'">
							<option value="smtp">SMTP</option>
							<option value="pop3">POP3</option>
					</select></td>
				</tr>
				<tr>
					<td align="right"><span>服务器地址:</span></td>
					<td align="left"><input id="serverHostId" name="serverHost"
						class="easyui-textbox" /></td>
				</tr>
				<tr>
					<td align="right"><span>服务器端口:</span></td>
					<td align="left"><input id="serverPortId" name="serverPort"
						class="easyui-textbox" /></td>
				</tr>
				<tr>
					<td align="right"><span>邮箱账号:</span></td>
					<td align="left"><input id="emailCountId" name="emailCount"
						class="easyui-textbox" /></td>
				</tr>
				<tr>
					<td align="right"><span>邮箱密码:</span></td>
					<td align="left"><input id="emailPasswordId"
						name="emailPassword" class="easyui-textbox" type="password" /></td>
				</tr>
				<tr>
					<td>&emsp;</td>
					<td></td>
				</tr>
				<tr>
					<td colspan="2" align="center"><a id="saveButtonId" href="#"
						class="easyui-linkbutton" iconCls="icon-ok" onclick="saveMail()">确定</a>
						<a id="10060107" href="#" class="easyui-linkbutton"
						iconCls="icon-cancel" onclick="closeWindow();">取消</a></td>
				</tr>

			</table>
		</form>
	</div>
	<div id="mm" class="easyui-menu" style="width: 150px;">
		<div id="mm-tabupdate">刷新</div>
		<div class="menu-sep"></div>
		<div id="mm-tabclose">关闭</div>
		<div id="mm-tabcloseall">全部关闭</div>
		<div id="mm-tabcloseother">除此之外全部关闭</div>
		<div class="menu-sep"></div>
		<div id="mm-tabcloseright">当前页右侧全部关闭</div>
		<div id="mm-tabcloseleft">当前页左侧全部关闭</div>
		<div class="menu-sep"></div>
		<div id="mm-exit">退出</div>
	</div>
</body>
<script src="<c:url value='/resource/home/js/jquery-1.6.min.js' />"></script>
<!-- jQuery v@1.8.0  -->
<script src="<c:url value='/resource/home/js/jquery.easyui.min.js'/>"></script>
<!-- jQuery EasyUI 1.4.3  -->
<script src="<c:url value='/resource/locale/easyui-lang-zh_CN.js'/>"></script>
<script src="<c:url value='/resource/home/js/home.js'/>"
	type="text/javascript"></script>
<script src="<c:url value='/resource/home/js/outlook2.js'/>"
	async="async" type="text/javascript"></script>
</html>